Trying to install SKYPE gateway

MST

Joined
Sep 25, 2009
Messages
317
Likes
0
Points
16
#1
As it was shown http://nerdvittles.com/?p=680#comment-12792 I would like to try that for private purposes. I have fallowed all steps until I have encountered this:

Code:
[root@elastix siptosis]# ./SipToSis_linux
Launching SipToSis
2010-11-08 12:30:54,432 Starting SipToSis v20090214
2010-11-08 12:30:54,433 os=Linux arch=amd64 ver=2.6.18-194.3.1.el5
2010-11-08 12:30:54,434 javaVer=1.6.0_17 - Sun Microsystems Inc.
2010-11-08 12:30:54,504 Codec Error: GSMTRI - Codec won't instantiate - local.ua.sscodecs.SSCodec_GSMTRI
2010-11-08 12:30:54,504 Codec: GSMTRI not loaded.
2010-11-08 12:30:54,572 Available Codecs: PCMU(0),PCMA(8),iLBC(98),speex(97)
2010-11-08 12:30:54,573 DTMF rfc2833(101)
2010-11-08 12:30:54,573 initSkype - If stuck, check Skype online & API auth
2010-11-08 12:30:54,629 ###testLoadLibrary###
2010-11-08 12:30:54,629 javaLibPath:.
2010-11-08 12:30:54,629 libName=skype platform libname=libskype.so
2010-11-08 12:30:54,631 Load Library failed
java.lang.UnsatisfiedLinkError: /siptosis/libskype.so: /siptosis/libskype.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1747)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1672)
        at java.lang.Runtime.loadLibrary0(Runtime.java:840)
        at java.lang.System.loadLibrary(System.java:1047)
        at local.ua.SkypeUA.testLoadLibrary(SkypeUA.java:709)
        at local.ua.SkypeUA.setupSkype(SkypeUA.java:418)
        at local.ua.SkypeUA.initSkype(SkypeUA.java:360)
        at local.ua.SkypeUA.initUA(SkypeUA.java:165)
        at local.ua.SkypeUA.<init>(SkypeUA.java:134)
        at local.ua.SkypeUA.main(SkypeUA.java:121)
2010-11-08 12:30:54,634 skype4java connect error:
com.skype.SkypeException: Loading libskype.so failed.
        at com.skype.Utils.convertToSkypeException(Unknown Source)
        at com.skype.Utils.getProperty(Unknown Source)
        at com.skype.Skype.getVersion(Unknown Source)
        at local.ua.SkypeUA.setupSkype(SkypeUA.java:408)
        at local.ua.SkypeUA.initSkype(SkypeUA.java:360)
        at local.ua.SkypeUA.initUA(SkypeUA.java:165)
        at local.ua.SkypeUA.<init>(SkypeUA.java:134)
        at local.ua.SkypeUA.main(SkypeUA.java:121)
Caused by: com.skype.connector.LoadLibraryException: Loading libskype.so failed.
        at com.skype.connector.ConnectorUtils.loadLibrary(Unknown Source)
        at com.skype.connector.linux.SkypeFramework.init(Unknown Source)
        at com.skype.connector.linux.LinuxConnector.initializeImpl(Unknown Source)
        at com.skype.connector.Connector.initialize(Unknown Source)
        at com.skype.connector.Connector.connect(Unknown Source)
        at com.skype.connector.Connector.assureAttached(Unknown Source)
        at com.skype.connector.Connector.execute(Unknown Source)
        at com.skype.connector.Connector.execute(Unknown Source)
        at com.skype.connector.Connector.execute(Unknown Source)
        at com.skype.connector.Connector.execute(Unknown Source)
        ... 7 more
It looks like java compatybility problem, I have tried both 32 and 64 bits with no luck.

How can I in a simply way fix the problemn with: /siptosis/libskype.so: /siptosis/libskype.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch) ?

Thank You
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,902
Messages
130,887
Members
17,566
Latest member
Fpino
Top